cancel
Showing results for 
Search instead for 
Did you mean: 
ryanc_76025
Altostratus
Altostratus

Problem this snippet solves:

It is likely the MySQL proxy iRule will not work unless you are running BIG-IP 11.1 and MySQL 5.1, which were the versions tested against. Please contact your F5 salesperson to request this functionality be added natively to BIG-IP ¶ iApp to implement Layer 7 full proxy for MySQL servers. This proxy alleviates the need for a developer to modify his/her application to use multiple database handles when scaling from a standalone MySQL server to a Master/Slave cluster. Read-only queries are sent to the slave pool while all others are sent to the master pool.

This iApp uses iRule functionality that is only available on BIG-IP versions 11.1.0 and later.

The latest version of this iApp is named mysql_proxy.2011-12-02

MySQL Proxy iRule

Contributed by: Ryan Corder

Comments
Ken_Reypens_200
Nimbostratus
Nimbostratus
Can somembody send me the link to the iApp? I would like to download an test the iApp but I can find where to download, tx for helping me out.
patonbike
Cirrus
Cirrus

Has anyone tried this with MySQL 5.5?

 

Version history
Last update:
‎11-Mar-2015 14:51
Updated by:
Contributors